xfce4-battery-plugin (1.1.5-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:10:27 +0000

xfce4-battery-plugin (1.1.5-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Akbarkhon Variskhanov ]
  * Add upstream metadata

  [ Unit 193 ]
  * New upstream version 1.1.5.
  * d/rules:
    - Use execute_after instead of overriding.
    - Opt-out of trimmed changelogs, install NEWS as changelog.
  * Update Standards-Version to 4.6.2.

 -- Unit 193 <unit193@debian.org>  Mon, 14 Aug 2023 18:44:40 -0400

xfce4-battery-plugin (1.1.4-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + xfce4-battery-plugin: Add Multi-Arch: same.
  * Trim trailing whitespace.
  * Update standards version to 4.5.0, no changes needed.

  [ Unit 193 ]
  * New upstream version 1.1.4.
  * d/control:
    - Bump DH compat to 13.
    - R³: no.
    - Update 'homepage' field.
  * d/rules: Drop '--as-needed' from LDFLAGS, default in stable now.
  * d/watch: Use uscan special strings.
  * Update Standards-Version to 4.6.1.

 -- Unit 193 <unit193@debian.org>  Tue, 19 Jul 2022 08:28:23 -0400

xfce4-battery-plugin (1.1.3-1) unstable; urgency=medium

  * New upstream version 1.1.3
  * d/control: update standards version to 4.4.0
  * d/control: update dh compat level to 11
  * d/patches: refresh for new upstream release

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 22 Aug 2019 20:40:25 +0200

xfce4-battery-plugin (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2
  * d/p/01_no-sysctl.patch refreshed and imported in gbp pq

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 16 Jan 2019 13:19:58 +0100

xfce4-battery-plugin (1.1.1-1) unstable; urgency=medium

  * Moved the package to git on salsa.debian.org
  * Updated the maintainer address to debian-xfce@lists.debian.org
                                                                closes: #899977
  * d/gbp.conf added, following DEP-14
  * New upstream version 1.1.1
  * d/control: drop Lionel from uploaders, thanks!
  * run wrap-and-sort
  * d/control: drop spurious build-deps
  * d/compat bumped to 10

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 23 Sep 2018 16:48:37 +0200

xfce4-battery-plugin (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - replace gtk2 build-dep by gtk3
    - add build-dep on libxfce4util and libxfce4ui.
    - replace xfce4-panel-dev build-dep by libxfce4panel-2.0-dev.
    - update standards version to 3.9.8.
  * debian/patches:
    - 01_no-sysctl updated for new release.
  * debian/copyright: drop obsolete url.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 02 Nov 2016 21:06:49 +0100

xfce4-battery-plugin (1.0.5-4) unstable; urgency=medium

  * debian/patches:
    - 01_no-sysctl added, don't fail to build if sysctl.h is not available
    since it's deprecated anyway.                               closes: #766766

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 02 Nov 2014 15:55:33 +0100

xfce4-battery-plugin (1.0.5-3) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Yves-Alexis Perez ]
  * debian/control:
    - update standards version to 3.9.6.
    - add build-dep on xfce4-dev-tools, automake, libtool.
  * debian/rules:
    - call xdt-autogen before configure to refresh config.{guess,sub} and
      support newer architectures.                              closes: #765266

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 15 Oct 2014 15:37:41 +0200

xfce4-battery-plugin (1.0.5-2) unstable; urgency=low

  * debian/rules:
    - enable all hardening flags.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 23 May 2013 07:25:52 +0200

xfce4-battery-plugin (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - 01_dont-reset-label-orientation dropped, included upstream.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 30 Jun 2012 15:09:58 +0200

xfce4-battery-plugin (1.0.4-2) unstable; urgency=low

  * debian/patches:
    - 01_dont-reset-label-orientation added backported from upstream. Keep the
      old behavior on 4.8 panel where there's no deskbar mode.  closes: #674864

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 28 May 2012 15:25:10 +0200

xfce4-battery-plugin (1.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 14 May 2012 22:51:13 +0200

xfce4-battery-plugin (1.0.1-1) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * debian/patches: add missing DEP3 headers.

  [ Yves-Alexis Perez ]
  * New upstream release.
  * debian/rules:
    - use --parallel
    - use debhelper 9 and dpkg-dev 1.16.1 hardening support.
    - pass --disable-static to configure.
    - use find to remove .la files.
  * debian/compat bumped to 9.
  * debian/control:
    - update debhelper build-dep to 9.
    - add dpkg-dev 1.16.1 build-dep.
    - drop hardening-includes build-dep.
    - update standards version to 3.9.3.
    - replace libxfcegui4 build-dep by libxfce4ui.
  * debian/patches:
    - 0001-Show-time-when-on-battery-power-bug-3736 dropped, included
      upstream.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 17 Apr 2012 21:21:40 +0200

xfce4-battery-plugin (1.0.0-3) unstable; urgency=low

  * debian/control:
    - apm emulation has been backported to amd64 so enable battery plugin on
      kfreebsd-amd64 arch.                                      closes: #634043

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 04 Sep 2011 22:30:42 +0200

xfce4-battery-plugin (1.0.0-2) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * Upload to unstable.
  * debian/control:
    - remove Emanuele and Simon from uploaders, thanks to them.
    - drop cdbs build-dep.
    - update xfce4-panel build-dep to 4.8.
    - update standards version to 3.9.2.

  [ Lionel Le Folgoc ]
  * debian/patches:
    - 0001-Show-time-when-on-battery-power-bug-3736.patch: show time estimate
      with recent kernels (sysfs attribute change post 2.6.30). Closes: #614280
    - series: add this patch.
  * debian/control: add myself to Uploaders.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 19 Apr 2011 22:35:24 +0200

xfce4-battery-plugin (1.0.0-1) experimental; urgency=low

  [ Evgeni Golov ]
  * Fix Vcs-* fields, they were missing 'trunk' in the path.

  [ Yves-Alexis Perez ]
  * New upstream release.
  * debian/watch edited to track Xfce archive reorganisation.
  * debian/control:
    - switch to xfce section.
    - update standards version to 3.9.1.
    - use linux-any and kfreebsd-i386 architecture.
    - add build-dep on intltool.
    - update debhelper build-dep to 7.
    - add build-dep on hardening-includes.
  * Switch to 3.0 (quilt) source format.
  * debian/compat bumped to 7.0.50~ for overrides.
  * debian/patches: 06_fix-ftbfs-2.6.24, 07_use-sysfs-fixed,
      08_no-battery-display dropped, included upstream.
  * debian/rules:
    - switch to tiny rules from dh 7.
    - pick {C,LD}FLAGS from dpkg-buildflags.
    - add hardening flags to {C,LD}FLAGS.
    - add -z,defs, -O1 and --as-needed to LDFLAGS.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 27 Feb 2011 01:31:26 +0100

xfce4-battery-plugin (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - 03_lower-acpi-polling removed, same thing is included upstream now.
                                                      (kind-of) closes: #498337
    - 02_fix-2.6.21 same.
    - 05_fix-apm-kfreebsd-amd6 as well.
    - 08_ja.po too.
    - 08_no-battery-display added, correctly handle cases when no battery is
      present. Patch taken from Xfce #3546.                     closes: #494099
  * debian/control:
    - remove Rudy Godoy from uploaders.
    - add build-dep on libxfce4util-dev, libxfcegui4-dev.
    - add dep on ${misc:Depends}.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 22 Feb 2009 18:34:36 +0100

xfce4-battery-plugin (0.5.0-7) unstable; urgency=low

  * debian/patches:
    - 08_ja.po added, add japanese translation.                 closes: #475913
  * debian/control:
    - update long description based on Ubuntu one.
    - remove Martin Loschwitz from Uploaders.
    - update standards version to 3.8.0.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 03 Jul 2008 08:37:17 +0200

xfce4-battery-plugin (0.5.0-6) unstable; urgency=low

  * debian/patches:
    - 04_use-sysfs dropped, it causes too many problems.
    - 07_use-sysfs-fixed added, enable generic sysfs use.
      Thanks Daniel Gibson.                                     closes: #466058

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 06 Apr 2008 11:39:22 +0200

xfce4-battery-plugin (0.5.0-5) unstable; urgency=low

  * debian/patches: 06_fix-ftbfs-2.6.24 added.
  * debian/copyright:
    - added dates.
    - use © sign.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 18 Mar 2008 20:24:24 +0100

xfce4-battery-plugin (0.5.0-4) unstable; urgency=low

  * debian/patches:
    - 01_fix-ftbfs-kfreebsd removed.
    - 05_fix-apm-kfreebsd-amd64 added: fix ftbfs on kfreebsd-amd64 where apm
      doesn't exist. (Xfce 3811)

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 24 Jan 2008 22:52:08 +0100

xfce4-battery-plugin (0.5.0-3) unstable; urgency=low

  [ Simon Huggins ]
  * debian/control: Move fake Homepage field to a real one now dpkg
    supports it.
  * Add Vcs-* headers to debian/control

  [ Yves-Alexis Perez ]
  * debian/patches
    - 04_use-sysfs: use sysfs interface if available.
    - 03_lower-acpi-polling: don't refresh acpi system too often.
  * debian/control:
    - update email address.
    - updated standards to 3.7.3.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 09 Dec 2007 00:23:32 +0100

xfce4-battery-plugin (0.5.0-2) unstable; urgency=low

  * debian/patches: added 02_fix-2.6.21.patch which fix battery plugin on
    2.6.21 kernels and over.                                    closes: #409971

 -- Yves-Alexis Perez <corsac@corsac.net>  Thu, 13 Sep 2007 22:42:42 +0200

xfce4-battery-plugin (0.5.0-1) unstable; urgency=low

  (Yves-Alexis Perez)
  * New upstream release.
  * debian/patches:
  	- added 01_fix-ftbfs-kfreebsd.patch, thanks Cyril Brulebois. closes: #415658
  (Stefan Ott)
  * debian/control: updated the url
  (Simon Huggins)
  * Build against the latest and greatest xfce.

 -- Yves-Alexis Perez <corsac@corsac.net>  Mon, 16 Apr 2007 19:01:41 +0100

xfce4-battery-plugin (0.4.90.2-1) unstable; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@corsac.net>  Sat, 23 Sep 2006 15:38:21 +0100

xfce4-battery-plugin (0.4.0-3) unstable; urgency=low

  * Add correct panel build-dep.

 -- Simon Huggins <huggie@earth.li>  Wed, 26 Jul 2006 16:36:32 +0100

xfce4-battery-plugin (0.4.0-2) unstable; urgency=low

  * (Yves-Alexis Perez)
    - Incremented build-deps to match Xfce 4.4 Beta 2
  * (Emanuele Rocca)
    - Standards-Version bumped

 -- Yves-Alexis Perez <corsac@corsac.net>  Tue, 25 Jul 2006 00:17:35 +0200

xfce4-battery-plugin (0.4.0-1) unstable; urgency=low

  * New upstream (unofficial) release
  * Removed explicit dependency on xfce4-panel (managed by shlibs)

 -- Yves-Alexis Perez <corsac@corsac.net>  Wed, 03 May 2006 19:17:15 +0100

xfce4-battery-plugin (0.3.0-2) unstable; urgency=low

  * (Jani Monoses)
    Modify ACPI battery status reading patch in debian/patches to work
    with newer kernels and properly detect AC on/off.          Closes: #343159
  * Updated Standards-version

 -- Simon Huggins <huggie@earth.li>  Wed, 28 Dec 2005 15:54:48 +0000

xfce4-battery-plugin (0.3.0-1) unstable; urgency=low

  * New upstream release

 -- Emanuele Rocca <ema@debian.org>  Mon, 08 Aug 2005 21:57:27 +0200

xfce4-battery-plugin (0.2.0-7) unstable; urgency=low

  * Moving to unstable

 -- Emanuele Rocca <ema@debian.org>  Sun, 19 Jun 2005 14:31:28 +0200

xfce4-battery-plugin (0.2.0-6) experimental; urgency=low

  * README.Debian added to document APM/ACPI stuff (Closes: #294308)

 -- Emanuele Rocca <ema@debian.org>  Sun, 12 Jun 2005 19:54:23 +0200

xfce4-battery-plugin (0.2.0-5) unstable; urgency=low

  * (Rudy Godoy)
    - Package adopted by the Debian Xfce Maintainers (Closes: #245114)
    - Fixed description synopsis's uppercase use
    - Added patch which fixes /proc ac adapter path (Closes: #251796)
  * (Emanuele Rocca)
    - Switched to simple-patchsys.mk (CDBS)
  * (Simon Huggins)
    - Add the libtool update magic

 -- Emanuele Rocca <ema@debian.org>  Sun, 23 Jan 2005 21:07:44 +0100

xfce4-battery-plugin (0.2.0-4) unstable; urgency=low

  * Uploading with maintainer set to QA Group

 -- Andrew Pollock <apollock@debian.org>  Sun, 16 May 2004 22:21:49 +1000

xfce4-battery-plugin (0.2.0-3) unstable; urgency=low

  * Remove bashism from debian/rules

 -- Andrew Lau <netsnipe@users.sourceforge.net>  Sat,  8 Nov 2003 14:36:50 +1100

xfce4-battery-plugin (0.2.0-2) unstable; urgency=low

  * Remove libtool library and object.

 -- Andrew Lau <netsnipe@users.sourceforge.net>  Fri,  7 Nov 2003 16:16:35 +1100

xfce4-battery-plugin (0.2.0-1) unstable; urgency=low

  * Initial Release.

 -- Andrew Lau <netsnipe@users.sourceforge.net>  Wed, 29 Oct 2003 15:47:14 +1100
